#pragma once
#include "fs/VFS.h"

namespace FramebufferDevice
{
    VFS::Node* create_new(const char* devname);

    ssize_t write(VFS::Node* node, size_t offset, size_t size, const char* buffer);

    uintptr_t mmap(VFS::Node* node, uintptr_t addr, size_t size, int prot, off_t offset);

    long ioctl(VFS::Node* node, int cmd, uintptr_t arg);
}