#ifndef _SYS_IOCTL_H
#define _SYS_IOCTL_H

#include <sys/types.h>

/* Get the width of a framebuffer device. */
#define FB_GET_WIDTH 0
/* Get the height of a framebuffer device. */
#define FB_GET_HEIGHT 1
/* Get the scanline of a framebuffer device. */
#define FB_GET_SCANLINE 2

#ifdef __cplusplus
extern "C"
{
#endif

    /* Perform an arbitrary operation on an open file descriptor. Many operations are device-specific. */
    int ioctl(int fd, int cmd, ...);

#ifdef __cplusplus
}
#endif

#endif